<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die('Restricted access');
$user = JFactory::getUser();
$canOrder = $user->authorise('core.edit.state', 'com_jstar_shop');
$saveOrder = $this->sortColumn == 'fields.ordering';
if ($saveOrder)
{
	$saveOrderingUrl = 'index.php?option=com_jstar_shop&task=customfields.saveOrderAjax&tmpl=component';
	JHtml::_('sortablelist.sortable', 'fieldsList', 'adminForm', strtolower($this->sortDirection), $saveOrderingUrl);
}
$options        = array();
$options[]      = JHtml::_('select.option', '1', JText::_('COM_JSTAR_SHOP_TEXT'));
$options[]      = JHtml::_('select.option', '2', JText::_('COM_JSTAR_SHOP_LISTBOX'));
$options[]      = JHtml::_('select.option', '3', JText::_('COM_JSTAR_SHOP_RADIO'));
$options[]      = JHtml::_('select.option', '4', JText::_('COM_JSTAR_SHOP_CHECKBOX'));

$options2        = array();
foreach($this->allgroupfields as $allgroupfields) {
	$options2[]      = JHtml::_('select.option', $allgroupfields->id, $allgroupfields->title);

}
?>
<script type="text/javascript">
Joomla.orderTable = function()
{
table = document.getElementById("fieldsList");
direction = document.getElementById("directionTable");
order = table.options[table.selectedIndex].value;
if (order != '<?php echo $this->sortColumn; ?>')
{
dirn = 'asc';
}
else
{
dirn = direction.options[direction.selectedIndex].value;
}
Joomla.tableOrdering(order, dirn, '');
}
</script>
<form action="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=customfields'); ?>" method="post" name="adminForm" id="adminForm" style="width:100%">
<?php if (!empty( $this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
<?php endif;?>
	<div id="j-main-container" class="span10">
		<div id="filter-bar" class="btn-toolbar">
            <div class="btn-group pull-right hidden-phone">
            <label for="limit" class="element-invisible">
            <?php echo JText::_
            ('JFIELD_PLG_SEARCH_SEARCHLIMIT_DESC');?>
            </label>
            <?php echo $this->pagination->getLimitBox(); ?>
            </div>
		<div class="filter-search btn-group pull-left">
     
				<input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" class="" title="" style="width:150px;" />
			</div>
			<div class="btn-group pull-left">
				<button type="submit" class="btn hasTooltip" title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
				<button type="button" class="btn hasTooltip" title="<?php echo JHtml::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.getElementById('filter_search').value='';this.form.submit();"><i class="icon-remove"></i></button>
			</div>
            
			<select name="filter_categoryid" class="input-medium" onchange="this.form.submit()" style="margin-right:20px;">
				<option value=""><?php echo JText::_('JOPTION_SELECT_CATEGORY');?></option>
				<?php echo JHtml::_('select.options', JHtml::_('category.options', 'com_jstar_shop'), 'value', 'text', $this->state->get('filter.categoryid'));?>
			</select>
            
            <select name="filter_type" class="inputbox" onchange="this.form.submit()" style="margin-right:20px; width:150px">
                        <option value=""><?php echo JText::_('COM_JSTAR_SHOP_SELECT_TYPE');?></option>
                        <?php echo JHtml::_('select.options', $options, 'value', 'text', $this->state->get('filter.type'), true);?>
            </select>
            
            <select name="filter_group" class="inputbox" onchange="this.form.submit()" style="margin-right:20px; width:150px; float:right">
                        <option value=""><?php echo JText::_('COM_JSTAR_SHOP_SELECT_GROUP');?></option>
                        <?php echo JHtml::_('select.options', $options2, 'value', 'text', $this->state->get('filter.group'), true);?>
            </select>
            
		</div>
		<div class="clearfix"> </div>
		<?php if (empty($this->items)) : ?>
			<div class="alert alert-no-items">
				<?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
			</div>
		<?php else : ?>
	<table class="table table-striped" id="fieldsList">
    <thead>
    	<tr style="background:none" >
                    <th class="nowrap center" style="width:10%"><?php echo JText::_('COM_JSTAR_SHOP_FIELD_ROW_LABEL'); ?></th>
                    <th width="1%" class="nowrap center hidden-phone">
                        <a data-original-title="<?php echo JText::_('JGRID_HEADING_ORDERING') ?>" href="#" onclick="Joomla.tableOrdering('fields.ordering','asc','');return false;" class="hasTooltip" title=""><i class="icon-menu-2"></i></a>	
                    </th>         
					<th width="1%" class="nowrap center"><?php echo JHtml::_('grid.checkall'); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_TITLE', 'title',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_CATEGORY', 'category',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_TYPE_FIELD', 'type',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JHTML::_('grid.sort',  'COM_JSTAR_SHOP_GROUPFIELD', 'groupfield',$this->sortDirection, $this->sortColumn ); ?></th>
                    <th class="nowrap center"><?php echo JText::_('COM_JSTAR_SHOP_VALUES'); ?></th>
        </tr>
     </thead>
        <tfoot>
        <tr>
        <td colspan="8"><?php echo $this->pagination->getListFooter(); ?>
        </td>
        </tr>
        </tfoot>
			<?php $k = 1;
			foreach ($this->items as $i => $item) :
?>
				<tr class="row<?php echo $i % 2; ?>">
                            <td class="center">
			                    <?php echo $k; ?>
			                </td>
                            <td class="order nowrap center hidden-phone">
                            <?php
                            $disableClassName = '';
                            $disabledLabel = '';
                            if (!$saveOrder) :
                            $disabledLabel = JText::_('JORDERINGDISABLED');
                            $disableClassName = 'inactive tip-top';
                            endif; ?>
                            <span class="sortable-handler hasTooltip <?php echo $disableClassName?>" title="<?php echo $disabledLabel?>">
                            <i class="icon-menu"></i>
                            </span>
                            <input type="text" style="display:none" name="order[]"
                            size="5" value="<?php echo $item->ordering;?>" class="width-20 textarea-order " />
                            </td>                            
                            <td class="center">
			                    <?php echo JHtml::_('grid.id',   $i, $item->id)?>
			                </td>
							<td class="center">
                            <a href="<?php echo JRoute::_('index.php?option=com_jstar_shop&view=customfield&layout=edit&id='.$item->id); ?>">
								<?php echo $this->escape($item->title); ?>
                            </a>
                            </td>
							<td class="center">
								<?php echo $this->escape($item->category); ?>
                            </td>
							<td class="center">
                            	<?php switch ($item->type) {
									case 1 : echo JText::_('COM_JSTAR_SHOP_TEXT'); break;
									case 2 : echo JText::_('COM_JSTAR_SHOP_LISTBOX'); break;
									case 3 : echo JText::_('COM_JSTAR_SHOP_RADIO'); break;
									case 4 : echo JText::_('COM_JSTAR_SHOP_CHECKBOX'); break;
									case 5 : echo JText::_('COM_JSTAR_SHOP_COLOR'); break;
								}
								?>
                            </td>
							<td class="center">
								<?php echo $this->escape($item->groupfield); ?>
                            </td>
							<td class="center">
								<?php echo $this->escape($item->value); ?>
                            </td>
				</tr>
			<?php $k++; endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
	<div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortDirection; ?>" />
    		<?php echo JHtml::_('form.token'); ?>
	</div>
  </div>
</form>
